/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */
export const PRIMITIVE_COLORS = {
    white: '#FFFFFF',
    black: '#000000',
    mutedBlack: '#0E0F12',
    blueBlack: '#07101F',
    transparent: 'transparent',
    mutedGrey10: '#F6F9FC',
    mutedGrey15: '#EDEFF3',
    mutedGrey20: '#E3E6EB',
    mutedGrey25: '#D9DDE3',
    mutedGrey30: '#D0D4DA',
    mutedGrey35: '#C6CBD2',
    mutedGrey40: '#BDC2CA',
    mutedGrey45: '#B3B9C2',
    mutedGrey50: '#AAB0BA',
    mutedGrey55: '#A1A8B2',
    mutedGrey60: '#989FAA',
    mutedGrey65: '#8F96A2',
    mutedGrey70: '#868E9A',
    mutedGrey75: '#7E8691',
    mutedGrey80: '#767D89',
    mutedGrey85: '#6E7581',
    mutedGrey90: '#666D78',
    mutedGrey95: '#5D6570',
    mutedGrey100: '#555C67',
    mutedGrey105: '#4D545E',
    mutedGrey110: '#464C56',
    mutedGrey115: '#3F444D',
    mutedGrey120: '#373D45',
    mutedGrey125: '#30353C',
    mutedGrey130: '#292E34',
    mutedGrey135: '#23262C',
    mutedGrey140: '#1C1F24',
    mutedGrey145: '#16181D',
    blueGrey10: '#F6F9FC',
    blueGrey15: '#ECF1F9',
    blueGrey20: '#E3E8F2',
    blueGrey25: '#D6DDEA',
    blueGrey30: '#CAD3E2',
    blueGrey35: '#C0CCDD',
    blueGrey40: '#B4C1D5',
    blueGrey45: '#ABB9D0',
    blueGrey50: '#A2B1C9',
    blueGrey55: '#98A8C3',
    blueGrey60: '#8E9FBC',
    blueGrey65: '#8497B7',
    blueGrey70: '#798EAF',
    blueGrey75: '#7186A8',
    blueGrey80: '#6A7FA0',
    blueGrey85: '#627593',
    blueGrey90: '#5A6D8C',
    blueGrey95: '#516381',
    blueGrey100: '#485975',
    blueGrey105: '#3F4F69',
    blueGrey110: '#384861',
    blueGrey115: '#324058',
    blueGrey120: '#2B394F',
    blueGrey125: '#243147',
    blueGrey130: '#1D2A3E',
    blueGrey135: '#172336',
    blueGrey140: '#111C2C',
    blueGrey145: '#0B1628',
    blue10: '#E8F1FF',
    blue20: '#D9E8FF',
    blue30: '#BFDBFF',
    blue40: '#A3CBFF',
    blue50: '#85B7FF',
    blue60: '#61A2FF',
    blue70: '#3788FF',
    blue80: '#2476F0',
    blue90: '#0B64DD',
    blue100: '#1750BA',
    blue110: '#154399',
    blue120: '#123778',
    blue130: '#0D2F5E',
    blue140: '#0A2342',
    teal10: '#E2F9F7',
    teal20: '#C9F3F0',
    teal30: '#A6EDEA',
    teal40: '#77E5E0',
    teal50: '#51D6D2',
    teal60: '#16C5C0',
    teal70: '#00B0AA',
    teal80: '#009E99',
    teal90: '#008B87',
    teal100: '#047471',
    teal110: '#065B58',
    teal120: '#044949',
    teal130: '#023436',
    teal140: '#03282B',
    pink10: '#FFEBF5',
    pink20: '#FDDDE9',
    pink30: '#FFC7DB',
    pink40: '#FBADCA',
    pink50: '#F58EB7',
    pink60: '#EE72A6',
    pink70: '#E54A91',
    pink80: '#D13680',
    pink90: '#BC1E70',
    pink100: '#A11262',
    pink110: '#831652',
    pink120: '#5E2140',
    pink130: '#481E32',
    pink140: '#351725',
    green10: '#E2F8F0',
    green20: '#C9F3E3',
    green30: '#AEE8D2',
    green40: '#88E3C3',
    green50: '#59CFAA',
    green60: '#24C292',
    green70: '#04AE7E',
    green80: '#00996B',
    green90: '#008A5E',
    green100: '#09724D',
    green110: '#0C5A3F',
    green120: '#094837',
    green130: '#0D362B',
    green140: '#092A26',
    yellow10: '#FDF3D8',
    yellow20: '#FDE9B5',
    yellow30: '#FCD883',
    yellow40: '#FACB3D',
    yellow50: '#F5BC00',
    yellow60: '#EAAE01',
    yellow70: '#CA9601',
    yellow80: '#AD7E00',
    yellow90: '#966B03',
    yellow100: '#825803',
    yellow110: '#6A4906',
    yellow120: '#513910',
    yellow130: '#3D3014',
    yellow140: '#2C2721',
    red10: '#FFE8E5',
    red20: '#FDDDD8',
    red30: '#FFC9C2',
    red40: '#FFB5AD',
    red50: '#FC9188',
    red60: '#F6726A',
    red70: '#EE4C48',
    red80: '#DA3737',
    red90: '#C61E25',
    red100: '#A71627',
    red110: '#7F1F27',
    red120: '#5E2129',
    red130: '#491D27',
    red140: '#351721',
    purple10: '#F3ECFE',
    purple20: '#ECE2FE',
    purple30: '#DECDFE',
    purple40: '#CEB6FC',
    purple50: '#BF9CF9',
    purple60: '#B084F5',
    purple70: '#A36DEF',
    purple80: '#925CDA',
    purple90: '#8144CC',
    purple100: '#6B3C9F',
    purple110: '#52357E',
    purple120: '#3E2C63',
    purple130: '#322452',
    purple140: '#2A1E3E',
};
//# sourceMappingURL=_primitive_colors.js.map