"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.findMaintenanceWindowSo = void 0;
var _common = require("../../../../common");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const findMaintenanceWindowSo = params => {
  const {
    savedObjectsClient,
    savedObjectsFindOptions
  } = params;
  return savedObjectsClient.find({
    ...(savedObjectsFindOptions ? {
      ...savedObjectsFindOptions,
      sortField: 'updatedAt',
      sortOrder: 'desc'
    } : {}),
    type: _common.MAINTENANCE_WINDOW_SAVED_OBJECT_TYPE
  });
};
exports.findMaintenanceWindowSo = findMaintenanceWindowSo;