"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ResourceContents = ResourceContents;
var _eui = require("@elastic/eui");
var _i18n = require("@kbn/i18n");
var _react = _interopRequireDefault(require("react"));
var _styled = _interopRequireDefault(require("@emotion/styled"));
var _apm = require("../../../../../common/es_fields/apm");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const ItemRow = _styled.default.div`
  line-height: 2;
`;
const SubduedDescriptionListTitle = (0, _styled.default)(_eui.EuiDescriptionListTitle)`
  &&& {
    color: ${({
  theme
}) => theme.euiTheme.colors.textSubdued};
  }
`;
function ResourceContents({
  elementData
}) {
  const nodeData = elementData;
  const subtype = nodeData[_apm.SPAN_SUBTYPE];
  const type = nodeData[_apm.SPAN_TYPE];
  const listItems = [{
    title: _i18n.i18n.translate('xpack.apm.serviceMap.typePopoverStat', {
      defaultMessage: 'Type'
    }),
    description: type
  }, {
    title: _i18n.i18n.translate('xpack.apm.serviceMap.subtypePopoverStat', {
      defaultMessage: 'Subtype'
    }),
    description: subtype
  }];
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, listItems.map(({
    title,
    description
  }) => description && /*#__PURE__*/_react.default.createElement("div", {
    key: title
  }, /*#__PURE__*/_react.default.createElement(ItemRow, null, /*#__PURE__*/_react.default.createElement(SubduedDescriptionListTitle, null, title), /*#__PURE__*/_react.default.createElement(_eui.EuiDescriptionListDescription, null, description)))));
}