"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AgentMarker = AgentMarker;
var _eui = require("@elastic/eui");
var _react = _interopRequireDefault(require("react"));
var _styled = _interopRequireDefault(require("@emotion/styled"));
var _formatters = require("../../../../../../common/utils/formatters");
var _legend = require("../legend");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const NameContainer = _styled.default.div`
  border-bottom: 1px solid ${({
  theme
}) => theme.euiTheme.colors.mediumShade};
  padding-bottom: ${({
  theme
}) => theme.euiTheme.size.s};
`;
const TimeContainer = _styled.default.div`
  color: ${({
  theme
}) => theme.euiTheme.colors.mediumShade};
  padding-top: ${({
  theme
}) => theme.euiTheme.size.s};
`;
function AgentMarker({
  mark
}) {
  const {
    euiTheme
  } = (0, _eui.useEuiTheme)();
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_eui.EuiToolTip, {
    id: mark.id,
    position: "top",
    content: /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement(NameContainer, null, mark.id), /*#__PURE__*/_react.default.createElement(TimeContainer, null, (0, _formatters.asDuration)(mark.offset)))
  }, /*#__PURE__*/_react.default.createElement(_legend.Legend, {
    clickable: true,
    color: euiTheme.colors.mediumShade
  })));
}