"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EndpointSelection = void 0;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var i18n = _interopRequireWildcard(require("./translations"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const EndpointSelection = exports.EndpointSelection = /*#__PURE__*/_react.default.memo(({
  allPaths,
  pathSuggestions,
  selectedPath,
  selectedOtherPath,
  useOtherEndpoint,
  isGenerating,
  showValidation,
  onChangeSuggestedPath,
  onChangeOtherPath
}) => {
  const otherPathOptions = allPaths.map(p => ({
    label: p
  }));
  const hasSuggestedPaths = pathSuggestions.length > 0;
  const isShowingAllPaths = pathSuggestions.length === allPaths.length;
  const options = (isShowingAllPaths ? pathSuggestions : pathSuggestions.concat([i18n.ENTER_MANUALLY])).map((option, index) =>
  // The LLM returns the path in preference order, so we know the first option is the recommended one
  index === 0 ? {
    id: option,
    label: /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
      gutterSize: "s"
    }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, null, /*#__PURE__*/_react.default.createElement(_eui.EuiText, {
      size: "s"
    }, option)), /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
      grow: false
    }, /*#__PURE__*/_react.default.createElement(_eui.EuiBadge, null, i18n.RECOMMENDED)))
  } : {
    id: option,
    label: option
  });
  return /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
    direction: "column",
    gutterSize: "s",
    "data-test-subj": "confirmPath"
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiTitle, {
    size: "xs"
  }, /*#__PURE__*/_react.default.createElement("h4", null, i18n.CONFIRM_ENDPOINT)), hasSuggestedPaths && /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, null, /*#__PURE__*/_react.default.createElement(_eui.EuiText, {
    size: "s"
  }, i18n.CONFIRM_ENDPOINT_DESCRIPTION), /*#__PURE__*/_react.default.createElement(_eui.EuiSpacer, {
    size: "m"
  }), /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, null, /*#__PURE__*/_react.default.createElement(_eui.EuiRadioGroup, {
    options: options,
    idSelected: selectedPath,
    disabled: isGenerating,
    onChange: onChangeSuggestedPath,
    "data-test-subj": "suggestedPathsRadioGroup"
  }))), (!hasSuggestedPaths || useOtherEndpoint && !isShowingAllPaths) && /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
    direction: "column"
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiFormRow, {
    fullWidth: true,
    isDisabled: isGenerating,
    isInvalid: showValidation && useOtherEndpoint && selectedOtherPath === undefined,
    error: i18n.PATH_REQUIRED
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiComboBox, {
    singleSelection: {
      asPlainText: true
    },
    fullWidth: true,
    options: otherPathOptions,
    isDisabled: isGenerating,
    "aria-invalid": showValidation && useOtherEndpoint && selectedOtherPath === undefined,
    isInvalid: showValidation && useOtherEndpoint && selectedOtherPath === undefined,
    selectedOptions: selectedOtherPath === undefined ? undefined : [{
      label: selectedOtherPath
    }],
    onChange: onChangeOtherPath,
    "data-test-subj": "allPathOptionsComboBox"
  }))));
});
EndpointSelection.displayName = 'EndpointSelection';