"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UploadDropzone = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactDropzone = _interopRequireDefault(require("react-dropzone"));
require("./upload_dropzone.scss");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const UploadDropzone = ({
  onDrop = () => {},
  disabled,
  children
}) => {
  const dropFn = acceptedFiles => {
    const fileList = acceptedFiles;
    onDrop(fileList);
  };
  return /*#__PURE__*/_react.default.createElement(_reactDropzone.default, {
    onDrop: dropFn,
    disabled,
    noClick: true
  }, ({
    getRootProps,
    isDragActive
  }) => /*#__PURE__*/_react.default.createElement("div", getRootProps({
    className: `canvasWorkpad__dropzone${isDragActive ? ' canvasWorkpad__dropzone--active' : ''}`
  }), children));
};
exports.UploadDropzone = UploadDropzone;