"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.renderApp = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactDom = _interopRequireDefault(require("react-dom"));
var _i18n = require("@kbn/i18n");
var _i18nReact = require("@kbn/i18n-react");
var _eui = require("@elastic/eui");
var _reactKibanaContextTheme = require("@kbn/react-kibana-context-theme");
var _url_overflow_ui = require("./url_overflow_ui");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

const ErrorPage = ({
  title,
  children
}) => {
  var _title;
  title = (_title = title) !== null && _title !== void 0 ? _title : _i18n.i18n.translate('core.application.appRenderError.defaultTitle', {
    defaultMessage: 'Application error'
  });
  return /*#__PURE__*/_react.default.createElement(_eui.EuiPageTemplate, {
    "data-test-subj": "appRenderErrorPageContent"
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiPageTemplate.EmptyPrompt, {
    iconType: "warning",
    iconColor: "danger",
    title: /*#__PURE__*/_react.default.createElement("h2", null, title),
    body: children
  }));
};
const ErrorApp = ({
  basePath,
  history
}) => {
  const [currentLocation, setCurrentLocation] = (0, _react.useState)(history.location);
  (0, _react.useLayoutEffect)(() => {
    return history.listen(location => setCurrentLocation(location));
  }, [history]);
  const searchParams = new URLSearchParams(currentLocation.search);
  const errorType = searchParams.get('errorType');
  if (errorType === 'urlOverflow') {
    return /*#__PURE__*/_react.default.createElement(ErrorPage, {
      title: _i18n.i18n.translate('core.ui.errorUrlOverflow.errorTitle', {
        defaultMessage: "The URL for this object is too long, and we can't display it"
      })
    }, /*#__PURE__*/_react.default.createElement(_url_overflow_ui.UrlOverflowUi, {
      basePath: basePath
    }));
  }
  return /*#__PURE__*/_react.default.createElement(ErrorPage, null);
};
/**
 * Renders UI for displaying error messages.
 * @internal
 */
const renderApp = ({
  element,
  history,
  theme$
}, {
  basePath
}) => {
  _reactDom.default.render(/*#__PURE__*/_react.default.createElement(_i18nReact.I18nProvider, null, /*#__PURE__*/_react.default.createElement(_reactKibanaContextTheme.KibanaThemeProvider, {
    theme: {
      theme$
    }
  }, /*#__PURE__*/_react.default.createElement(ErrorApp, {
    history: history,
    basePath: basePath
  }))), element);
  return () => {
    _reactDom.default.unmountComponentAtNode(element);
  };
};
exports.renderApp = renderApp;