"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FileHashCache = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _lruCache = require("lru-cache");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

/** @internal */

/** @internal */
class FileHashCache {
  constructor(maxItems = 250) {
    (0, _defineProperty2.default)(this, "lru", void 0);
    this.lru = new _lruCache.LRUCache({
      max: maxItems
    });
  }
  get(key) {
    return this.lru.get(key);
  }
  set(key, value) {
    this.lru.set(key, value);
  }
  del(key) {
    this.lru.delete(key);
  }
}
exports.FileHashCache = FileHashCache;