"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ProjectNavigation = void 0;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _useObservable = _interopRequireDefault(require("react-use/lib/useObservable"));
var _css = require("@emotion/css");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

const PANEL_WIDTH = 290;
const ProjectNavigation = ({
  children,
  isSideNavCollapsed$,
  toggleSideNav
}) => {
  const isCollapsed = (0, _useObservable.default)(isSideNavCollapsed$, false);
  return /*#__PURE__*/_react.default.createElement(_eui.EuiCollapsibleNavBeta, {
    "data-test-subj": "projectLayoutSideNav",
    isCollapsed: isCollapsed,
    onCollapseToggle: toggleSideNav,
    css: {
      overflow: 'visible',
      clipPath: `polygon(0 0, calc(var(--euiCollapsibleNavOffset) + ${PANEL_WIDTH}px) 0, calc(var(--euiCollapsibleNavOffset) + ${PANEL_WIDTH}px) 100%, 0 100%)`
    },
    className: (0, _css.css)`
        .euiFlyoutBody__overflowContent {
          height: 100%;
        }
      `
  }, children);
};
exports.ProjectNavigation = ProjectNavigation;