"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createDatasetQualityDetails = void 0;
var _react = _interopRequireWildcard(require("react"));
var _sharedUxUtility = require("@kbn/shared-ux-utility");
var _ebtTools = require("@kbn/ebt-tools");
var _utils = require("../../utils");
var _context = require("./context");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; } /*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */
const DatasetQualityDetails = (0, _sharedUxUtility.dynamic)(() => Promise.resolve().then(() => _interopRequireWildcard(require('./dataset_quality_details'))));
const createDatasetQualityDetails = ({
  core,
  plugins,
  telemetryClient,
  isFailureStoreEnabled
}) => {
  return ({
    controller
  }) => {
    const KibanaContextProviderForPlugin = (0, _utils.useKibanaContextForPluginProvider)(core, plugins);
    const datasetQualityDetailsProviderValue = (0, _react.useMemo)(() => ({
      service: controller.service,
      telemetryClient,
      isFailureStoreEnabled
    }), [controller.service]);
    return /*#__PURE__*/_react.default.createElement(_ebtTools.PerformanceContextProvider, null, /*#__PURE__*/_react.default.createElement(_context.DatasetQualityDetailsContext.Provider, {
      value: datasetQualityDetailsProviderValue
    }, /*#__PURE__*/_react.default.createElement(KibanaContextProviderForPlugin, null, /*#__PURE__*/_react.default.createElement(DatasetQualityDetails, null))));
  };
};
exports.createDatasetQualityDetails = createDatasetQualityDetails;