"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PossibleDegradedFieldMitigations = PossibleDegradedFieldMitigations;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _field_mapping_limit = require("./field_limit/field_mapping_limit");
var _hooks = require("../../../../../hooks");
var _manual = require("./manual");
var _title = require("./title");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function PossibleDegradedFieldMitigations() {
  var _integrationDetails$i;
  const {
    degradedFieldAnalysis,
    isAnalysisInProgress
  } = (0, _hooks.useQualityIssues)();
  const {
    integrationDetails
  } = (0, _hooks.useDatasetQualityDetailsState)();
  const areIntegrationAssetsAvailable = Boolean(integrationDetails === null || integrationDetails === void 0 ? void 0 : (_integrationDetails$i = integrationDetails.integration) === null || _integrationDetails$i === void 0 ? void 0 : _integrationDetails$i.areAssetsAvailable);
  return !isAnalysisInProgress && /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement(_eui.EuiSpacer, {
    size: "s"
  }), /*#__PURE__*/_react.default.createElement(_title.PossibleMitigationTitle, null), /*#__PURE__*/_react.default.createElement(_eui.EuiSpacer, {
    size: "m"
  }), (degradedFieldAnalysis === null || degradedFieldAnalysis === void 0 ? void 0 : degradedFieldAnalysis.isFieldLimitIssue) && /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_field_mapping_limit.FieldMappingLimit, {
    areIntegrationAssetsAvailable: areIntegrationAssetsAvailable
  }), /*#__PURE__*/_react.default.createElement(_eui.EuiSpacer, {
    size: "m"
  })), /*#__PURE__*/_react.default.createElement(_manual.ManualMitigations, null));
}