"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getDefaultAdHocDataViews = void 0;
var _src = require("@kbn/discover-utils/src");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

const getDefaultAdHocDataViews = (prev, {
  context
}) => () => {
  const prevDataViews = prev();
  if (!context.allLogsIndexPattern) {
    return prevDataViews;
  }
  return prevDataViews.concat((0, _src.getAllLogsDataViewSpec)({
    allLogsIndexPattern: context.allLogsIndexPattern
  }));
};
exports.getDefaultAdHocDataViews = getDefaultAdHocDataViews;