"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ReadKnowledgeBaseResponse = exports.ReadKnowledgeBaseRequestParams = exports.KnowledgeBaseResponse = exports.CreateKnowledgeBaseResponse = exports.CreateKnowledgeBaseRequestQuery = exports.CreateKnowledgeBaseRequestParams = void 0;
var _zod = require("@kbn/zod");
var _zodHelpers = require("@kbn/zod-helpers");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/*
 * NOTICE: Do not edit this file manually.
 * This file is automatically generated by the OpenAPI Generator, @kbn/openapi-generator.
 *
 * info:
 *   title: KnowledgeBase API endpoints
 *   version: 2023-10-31
 */

/**
 * AI assistant KnowledgeBase.
 */

const KnowledgeBaseResponse = exports.KnowledgeBaseResponse = _zod.z.object({
  /**
   * Identify the success of the method execution.
   */
  success: _zod.z.boolean().optional()
});
const CreateKnowledgeBaseRequestQuery = exports.CreateKnowledgeBaseRequestQuery = _zod.z.object({
  /**
   * Optional ELSER modelId to use when setting up the Knowledge Base
   */
  modelId: _zod.z.string().optional(),
  /**
   * Indicates whether we should or should not install Security Labs docs when setting up the Knowledge Base
   */
  ignoreSecurityLabs: _zodHelpers.BooleanFromString.optional().default(false)
});
const CreateKnowledgeBaseRequestParams = exports.CreateKnowledgeBaseRequestParams = _zod.z.object({
  /**
   * The KnowledgeBase `resource` value.
   */
  resource: _zod.z.string().optional()
});
const CreateKnowledgeBaseResponse = exports.CreateKnowledgeBaseResponse = KnowledgeBaseResponse;
const ReadKnowledgeBaseRequestParams = exports.ReadKnowledgeBaseRequestParams = _zod.z.object({
  /**
   * The KnowledgeBase `resource` value.
   */
  resource: _zod.z.string().optional()
});
const ReadKnowledgeBaseResponse = exports.ReadKnowledgeBaseResponse = _zod.z.object({
  elser_exists: _zod.z.boolean().optional(),
  is_setup_available: _zod.z.boolean().optional(),
  is_setup_in_progress: _zod.z.boolean().optional(),
  security_labs_exists: _zod.z.boolean().optional(),
  user_data_exists: _zod.z.boolean().optional(),
  product_documentation_status: _zod.z.string().optional()
});