"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.elasticModelIds = exports.defaultInferenceEndpoints = exports.InferenceEndpointProvider = void 0;
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/**
 * Constants for all default (preconfigured) inference endpoints.
 */
const defaultInferenceEndpoints = exports.defaultInferenceEndpoints = {
  ELSER: '.elser-2-elasticsearch',
  MULTILINGUAL_E5_SMALL: '.multilingual-e5-small-elasticsearch'
};

/**
 * Constants for relevant inference providers
 */
let InferenceEndpointProvider = exports.InferenceEndpointProvider = /*#__PURE__*/function (InferenceEndpointProvider) {
  InferenceEndpointProvider["Elastic"] = "elastic";
  InferenceEndpointProvider["AmazonBedrock"] = "amazonbedrock";
  InferenceEndpointProvider["AzureOpenAI"] = "azureopenai";
  InferenceEndpointProvider["GoogleVertexAI"] = "googlevertexai";
  InferenceEndpointProvider["OpenAI"] = "openai";
  return InferenceEndpointProvider;
}({});
const elasticModelIds = exports.elasticModelIds = {
  RainbowSprinkles: 'rainbow-sprinkles'
};