"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.searchEsListItemSchema = void 0;
var t = _interopRequireWildcard(require("io-ts"));
var _securitysolutionIoTsListTypes = require("@kbn/securitysolution-io-ts-list-types");
var _schemas = require("../common/schemas");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const searchEsListItemSchema = exports.searchEsListItemSchema = t.exact(t.type({
  '@timestamp': _securitysolutionIoTsListTypes.timestampFromEsResponse,
  binary: _schemas.binaryOrUndefined,
  boolean: _schemas.booleanOrUndefined,
  byte: _schemas.byteOrUndefined,
  created_at: _securitysolutionIoTsListTypes.created_at,
  created_by: _securitysolutionIoTsListTypes.created_by,
  date: _schemas.dateOrUndefined,
  date_nanos: _schemas.dateNanosOrUndefined,
  date_range: _schemas.dateRangeOrUndefined,
  deserializer: _securitysolutionIoTsListTypes.deserializerOrUndefined,
  double: _schemas.doubleOrUndefined,
  double_range: _schemas.doubleRangeOrUndefined,
  float: _schemas.floatOrUndefined,
  float_range: _schemas.floatRangeOrUndefined,
  geo_point: _schemas.geoPointOrUndefined,
  geo_shape: _schemas.geoShapeOrUndefined,
  half_float: _schemas.halfFloatOrUndefined,
  integer: _schemas.integerOrUndefined,
  integer_range: _schemas.integerRangeOrUndefined,
  ip: _schemas.ipOrUndefined,
  ip_range: _schemas.ipRangeOrUndefined,
  keyword: _schemas.keywordOrUndefined,
  list_id: _securitysolutionIoTsListTypes.list_id,
  long: _schemas.longOrUndefined,
  long_range: _schemas.longRangeOrUndefined,
  meta: _securitysolutionIoTsListTypes.nullableMetaOrUndefined,
  serializer: _securitysolutionIoTsListTypes.serializerOrUndefined,
  shape: _schemas.shapeOrUndefined,
  short: _schemas.shortOrUndefined,
  text: _schemas.textOrUndefined,
  tie_breaker_id: _securitysolutionIoTsListTypes.tie_breaker_id,
  updated_at: _securitysolutionIoTsListTypes.updated_at,
  updated_by: _securitysolutionIoTsListTypes.updated_by
}));