/*! Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one or more contributor license agreements.
 * Licensed under the Elastic License 2.0; you may not use this file except in compliance with the Elastic License 2.0. */(()=>{var e={863:(e,t,n)=>{"use strict";n.r(t),n.d(t,{plugin:()=>ie});var a=n(915),s=n(286),i=n.n(s);const o=__kbnSharedDeps__.KbnI18nReact,l=__kbnSharedDeps__.Rxjs,r=__kbnSharedDeps__.KbnI18n;var c=n(721);class ConnectionDetailsService{constructor(e){var t;(0,a.default)(this,"tabId$",new l.BehaviorSubject("endpoints")),(0,a.default)(this,"showCloudId$",new l.BehaviorSubject(!1)),(0,a.default)(this,"apiKeyName$",new l.BehaviorSubject("")),(0,a.default)(this,"apiKeyStatus$",new l.BehaviorSubject("configuring")),(0,a.default)(this,"apiKeyError$",new l.BehaviorSubject(void 0)),(0,a.default)(this,"apiKey$",new l.BehaviorSubject(null)),(0,a.default)(this,"apiKeyFormat$",new l.BehaviorSubject("encoded")),(0,a.default)(this,"apiKeyHasAccess$",new l.BehaviorSubject(null)),(0,a.default)(this,"setTab",(e=>{this.tabId$.next(e)})),(0,a.default)(this,"toggleShowCloudId",(()=>{this.emitTelemetryEvent(["show_cloud_id_toggled"]),this.showCloudId$.next(!this.showCloudId$.getValue())})),(0,a.default)(this,"setApiKeyName",(e=>{this.apiKeyName$.next(e),this.apiKeyError$.next(void 0)})),(0,a.default)(this,"setApiKeyFormat",(e=>{this.emitTelemetryEvent(["key_encoding_changed",{format:e}]),this.apiKeyFormat$.next(e)})),(0,a.default)(this,"validateName",(()=>{if(!this.apiKeyName$.getValue()){const e=r.i18n.translate("cloud.connectionDetails.tab.apiKeys.nameField.missingError",{defaultMessage:"API key name is required."});throw new Error(e)}})),(0,a.default)(this,"createKeyAsync",(async()=>{var e;const t=null===(e=this.opts.apiKeys)||void 0===e?void 0:e.createKey;if(!t)throw new Error("createKey() is not implemented");this.apiKeyStatus$.next("creating");try{this.validateName();const{apiKey:e}=await t({name:this.apiKeyName$.getValue()});this.apiKey$.next(e),this.emitTelemetryEvent(["new_api_key_created"])}catch(e){this.apiKeyError$.next(e)}finally{this.apiKeyStatus$.next("configuring")}})),(0,a.default)(this,"createKey",(()=>{this.createKeyAsync().catch((e=>{this.apiKeyError$.next(e)}))})),(0,a.default)(this,"emitTelemetryEvent",(e=>{try{var t,n;null===(t=(n=this.opts).onTelemetryEvent)||void 0===t||t.call(n,e)}catch(e){c.error("Error emitting telemetry event",e)}})),this.opts=e,null===(t=e.apiKeys)||void 0===t||t.hasPermission().then((e=>{this.apiKeyHasAccess$.next(e)})).catch((e=>{c.error("Error checking API key creation permissions",e)}))}}const u=s.createContext(null),d=()=>{const e=s.useContext(u);if(!e||0===Object.keys(e).length)throw new Error("ConnectionDetailsServiceProvider is not set up.");return e},p=__kbnSharedDeps__.EmotionReact,g=s.createContext({}),y=({children:e,...t})=>{const n=s.useMemo((()=>new ConnectionDetailsService(t)),[t]);return(0,p.jsx)(g.Provider,{value:t},(0,p.jsx)(u.Provider,{value:n},e))},f=()=>{const e=s.useContext(g);if(!e||0===Object.keys(e).length)throw new Error("ConnectionDetailsOptsContextValue is not set up.");return e},h=__kbnSharedDeps__.ElasticEui;var m=n(757);const k=e=>(0,m.A)(e,e.getValue()),x=({value:e,onCopyClick:t})=>{const n=s.useRef(null);return(0,p.jsx)(h.EuiPanel,{borderRadius:"none",hasShadow:!1,color:"subdued",grow:!1},(0,p.jsx)(h.EuiFlexGroup,{gutterSize:"s"},(0,p.jsx)(h.EuiFlexItem,null,(0,p.jsx)(h.EuiText,{size:"s",color:"subdued",style:{wordBreak:"break-all"},"data-test-subj":"copyInputValue"},(0,p.jsx)("span",{ref:n,onMouseDown:e=>{const t=n.current;if(t&&window.getSelection&&document.createRange){const n=window.getSelection();if(!n)return;e.preventDefault();const a=document.createRange();a.selectNodeContents(t),n.removeAllRanges(),n.addRange(a)}},"data-test-subj":"copyText"},e))),(0,p.jsx)(h.EuiFlexItem,{grow:!1},(0,p.jsx)(h.EuiCopy,{textToCopy:e},(e=>(0,p.jsx)(h.EuiButtonIcon,{onClick:n=>{null==t||t(n),e()},iconType:"copyClipboard",size:"m",color:"text","aria-label":r.i18n.translate("cloud.connectionDetails.components.copyInput.copyBtn.label",{defaultMessage:"Copy to clipboard"})}))))))};var b={name:"z5y8xy",styles:"min-width:200px;height:16px"},v={name:"16ceglb",styles:"font-weight:600"};const _=({learnMoreUrl:e})=>{const[t,n]=s.useState(!1),a=r.i18n.translate("cloud.connectionDetails.tab.endpoints.cloudIdField.label",{defaultMessage:"Cloud ID"});return e?(0,p.jsx)(h.EuiFlexGroup,{css:b,alignItems:"center",gutterSize:"xs"},(0,p.jsx)(h.EuiFlexItem,{grow:!1},(0,p.jsx)(h.EuiText,{size:"xs",css:v},a)),(0,p.jsx)(h.EuiFlexItem,null,(0,p.jsx)(h.EuiPopover,{button:(0,p.jsx)(h.EuiButtonIcon,{iconType:"questionInCircle",onClick:()=>{n((e=>!e))}}),isOpen:t,closePopover:()=>{n(!1)},anchorPosition:"upLeft",hasArrow:!1},(0,p.jsx)("p",{style:{width:270}},(0,p.jsx)(o.FormattedMessage,{id:"cloud.connectionDetails.tab.endpoints.cloudIdField.label.tooltip",defaultMessage:"Get started with Elastic Agent or Logstash quickly. The Cloud ID simplifies sending data to Elastic. {link}",values:{link:(0,p.jsx)(h.EuiLink,{href:e,external:!0},r.i18n.translate("cloud.connectionDetails.tab.endpoints.cloudIdField.learnMore",{defaultMessage:"Learn more"}))}}))))):(0,p.jsx)(s.Fragment,null,a)},j=({value:e,showCloudId:t,learnMoreUrl:n,onShowCloudIdToggle:a,onCopyClick:i})=>(0,p.jsx)(s.Fragment,null,(0,p.jsx)(h.EuiSpacer,{size:"l"}),(0,p.jsx)(h.EuiSwitch,{label:r.i18n.translate("cloud.connectionDetails.tab.endpoints.cloudIdField.toggle",{defaultMessage:"Show Cloud ID"}),checked:t,onChange:()=>a(),"data-test-subj":"connectionDetailsCloudIdSwitch"}),t&&(0,p.jsx)(h.EuiSpacer,{size:"l"}),t&&(0,p.jsx)(h.EuiFormRow,{label:(0,p.jsx)(_,{learnMoreUrl:n,"aria-label":r.i18n.translate("cloud.connectionDetails.cloudId.learnMore",{defaultMessage:"Learn more about Cloud ID"})}),helpText:r.i18n.translate("cloud.connectionDetails.tab.endpoints.cloudIdField.helpText",{defaultMessage:"Specific client libraries and connectors can use this unique identifier specific to Elastic Cloud."}),fullWidth:!0,"data-test-subj":"connectionDetailsCloudId"},(0,p.jsx)(x,{value:e,onCopyClick:()=>null==i?void 0:i(),"aria-label":r.i18n.translate("cloud.connectionDetails.tab.cloudId.label",{defaultMessage:"Copy Cloud ID to clipboard"})}))),M=({url:e,onCopyClick:t})=>(0,p.jsx)(h.EuiFormRow,{label:r.i18n.translate("cloud.connectionDetails.tab.endpoints.endpointField.label",{defaultMessage:"Elasticsearch endpoint"}),helpText:r.i18n.translate("cloud.connectionDetails.tab.endpoints.endpointField.helpText",{defaultMessage:"The most common method for establishing an Elasticsearch connection."}),fullWidth:!0,"data-test-subj":"connectionDetailsEsUrl"},(0,p.jsx)(x,{value:e,onCopyClick:()=>null==t?void 0:t(),"aria-label":r.i18n.translate("cloud.connectionDetails.tab.endpoints.endpointField.copy",{defaultMessage:"Copy Elasticsearch endpoint to clipboard"})})),E=()=>{var e;const{endpoints:t}=f(),n=d(),a=k(n.showCloudId$);return t?(0,p.jsx)(h.EuiForm,{component:"div"},!(null==t||!t.url)&&(0,p.jsx)(M,{url:t.url,onCopyClick:()=>n.emitTelemetryEvent(["copy_endpoint_url_clicked"])}),!(null==t||!t.id)&&(0,p.jsx)(j,{value:t.id,showCloudId:a,learnMoreUrl:null===(e=n.opts.endpoints)||void 0===e?void 0:e.cloudIdLearMoreLink,onShowCloudIdToggle:n.toggleShowCloudId,onCopyClick:()=>n.emitTelemetryEvent(["copy_cloud_id_clicked"])})):null};var C=n(185);const S=({url:e,go:t,onClick:n,children:a,...s})=>(0,p.jsx)(h.EuiLink,(0,C.default)({},s,{href:e,onClick:a=>{var s;t&&((s=a).metaKey||s.altKey||s.ctrlKey||s.shiftKey||(a.preventDefault(),t(e)),null==n||n(a))}}),a),w=()=>{var e;const t=d(),n=null===(e=t.opts.apiKeys)||void 0===e?void 0:e.manageKeysLink;return n?(0,p.jsx)(S,{url:n,go:()=>{var e,a;t.emitTelemetryEvent(["manage_api_keys_clicked"]),null===(e=t.opts)||void 0===e||null===(a=e.navigateToUrl)||void 0===a||a.call(e,n)},"data-test-subj":"connectionDetailsManageApiKeysLink"},r.i18n.translate("cloud.connectionDetails.apiKeys.managerLinkLabel",{defaultMessage:"Manage API keys"})):null},L=({name:e,loading:t,error:n,onNameChange:a,onSubmit:i})=>{const o=(0,p.jsx)(s.Fragment,null,!!n&&(0,p.jsx)(s.Fragment,null,(0,p.jsx)(h.EuiCallOut,{color:"danger",iconType:"error",title:r.i18n.translate("cloud.connectionDetails.tab.apiKeys.error.title",{defaultMessage:"Error"})},n instanceof Error?n.message:String(n)),(0,p.jsx)(h.EuiSpacer,null)),(0,p.jsx)(h.EuiFormRow,{label:r.i18n.translate("cloud.connectionDetails.tab.apiKeys.nameField.label",{defaultMessage:"API key name"}),helpText:r.i18n.translate("cloud.connectionDetails.tab.apiKeys.nameField.helpText",{defaultMessage:"A good name makes it clear what your API key does."}),error:"test",isDisabled:t,fullWidth:!0},(0,p.jsx)(h.EuiFieldText,{name:"api-key-name",disabled:t,isLoading:t,value:e,onChange:a,"data-test-subj":"connectionDetailsApiKeyNameInput"}))),l=(0,p.jsx)(h.EuiFlexGroup,{justifyContent:"spaceBetween",alignItems:"center"},(0,p.jsx)(h.EuiFlexItem,{grow:!1},(0,p.jsx)(w,null)),(0,p.jsx)(h.EuiFlexItem,{grow:!1},(0,p.jsx)(h.EuiButton,{fill:!0,type:"submit",isLoading:t,"data-test-subj":"connectionDetailsApiKeySubmitBtn"},r.i18n.translate("cloud.connectionDetails.tab.apiKeys.nameField.createButton.label",{defaultMessage:"Create API key"}))));return(0,p.jsx)(h.EuiForm,{component:"form",fullWidth:!0,onSubmit:i,"data-test-subj":"connectionDetailsApiKeyConfigForm"},o,(0,p.jsx)(h.EuiSpacer,null),l)},T=()=>{const e=d(),t=k(e.apiKeyName$),n=k(e.apiKeyStatus$),a=k(e.apiKeyError$),s=null===k(e.apiKeyHasAccess$);return(0,p.jsx)(h.EuiSkeletonText,{isLoading:s},(0,p.jsx)(L,{name:t,error:a,loading:"creating"===n,onNameChange:t=>{e.setApiKeyName(t.target.value)},onSubmit:t=>{t.preventDefault(),e.createKey()}}))},D=()=>(0,p.jsx)(s.Fragment,null,(0,p.jsx)(h.EuiCallOut,{color:"warning",iconType:"iInCircle",title:r.i18n.translate("cloud.connectionDetails.tabs.apiKeys.missingPermPanel.title",{defaultMessage:"Missing permissions"})},(0,p.jsx)("p",null,r.i18n.translate("cloud.connectionDetails.tabs.apiKeys.missingPermPanel.description",{defaultMessage:"Your assigned role does not have the necessary permissions to create an API key. Please contact your administrator."}))),(0,p.jsx)(h.EuiSpacer,{size:"m"}),(0,p.jsx)(w,null)),K=({value:e,options:t,onChange:n})=>(0,p.jsx)(h.EuiSuperSelect,{valueOfSelected:e,options:t.map((e=>({value:e.id,icon:e.icon,layoutAlign:"center",inputDisplay:(0,p.jsx)(h.EuiFlexGroup,{justifyContent:"spaceBetween",alignItems:"center",gutterSize:"s"},(0,p.jsx)(h.EuiFlexItem,{grow:!1},(0,p.jsx)(h.EuiIcon,{type:e.icon})),(0,p.jsx)(h.EuiFlexItem,{grow:!0},(0,p.jsx)(h.EuiText,{size:"s",textAlign:"left"},e.title))),dropdownDisplay:(0,p.jsx)(h.EuiText,{size:"s"},(0,p.jsx)("strong",null,e.title),(0,p.jsx)(h.EuiText,{size:"s",color:"subdued"},(0,p.jsx)("p",null,e.description)))}))),onChange:n}),P=({value:e,onChange:t})=>(0,p.jsx)(K,{value:e,options:[{id:"encoded",icon:"key",title:r.i18n.translate("cloud.connectionDetails.apiKeyFormat.encoded.title",{defaultMessage:"Encoded"}),description:r.i18n.translate("cloud.connectionDetails.apiKeyFormat.encoded.description",{defaultMessage:"Use to make requests to Elasticsearch REST API"})},{id:"beats",icon:"logoBeats",title:r.i18n.translate("cloud.connectionDetails.apiKeyFormat.beats.title",{defaultMessage:"Beats"}),description:r.i18n.translate("cloud.connectionDetails.apiKeyFormat.beats.description",{defaultMessage:"Use to configure Beats"})},{id:"logstash",icon:"logoLogstash",title:r.i18n.translate("cloud.connectionDetails.apiKeyFormat.logstash.title",{defaultMessage:"Logstash"}),description:r.i18n.translate("cloud.connectionDetails.apiKeyFormat.logstash.description",{defaultMessage:"Use to configure Logstash"})}],onChange:e=>t(e)}),I=({apiKey:e,format:t,onFormatChange:n,onCopyClick:a})=>{const i="encoded"===t?e.encoded:`${e.id}:${e.key}`;return(0,p.jsx)(s.Fragment,null,(0,p.jsx)(h.EuiCallOut,{color:"success",iconType:"check",title:r.i18n.translate("cloud.connectionDetails.apiKeys.successForm.title",{defaultMessage:'Created API key "{name}"',values:{name:e.name}}),"data-test-subj":"connectionDetailsApiKeySuccessForm"},(0,p.jsx)("p",null,r.i18n.translate("cloud.connectionDetails.apiKeys.successForm.message",{defaultMessage:"Copy your API key below now. It will not be available after you close this dialogue. The API key will expire in 90 days."})),(0,p.jsx)(h.EuiFormRow,{label:r.i18n.translate("cloud.connectionDetails.apiKeys.successForm.keyFormatTitle",{defaultMessage:"API key format"}),fullWidth:!0},(0,p.jsx)(P,{value:t,onChange:n})),(0,p.jsx)(h.EuiFormRow,{label:r.i18n.translate("cloud.connectionDetails.apiKeys.successForm.keyValueTitle",{defaultMessage:"API key value"}),fullWidth:!0,"data-test-subj":"connectionDetailsApiKeyValueRow"},(0,p.jsx)(x,{value:i,onCopyClick:a}))),(0,p.jsx)(h.EuiSpacer,{size:"m"}),(0,p.jsx)(w,null))},F=()=>{const e=d(),t=k(e.apiKey$),n=k(e.apiKeyFormat$);return t?(0,p.jsx)(I,{apiKey:t,format:n,onFormatChange:e.setApiKeyFormat,onCopyClick:()=>e.emitTelemetryEvent(["copy_api_key_clicked",{format:n}])}):null},A=()=>{const e=d(),{apiKeys:t}=e.opts,n=k(e.apiKey$),a=k(e.apiKeyHasAccess$);return t?!1===a?(0,p.jsx)(D,null):n?(0,p.jsx)(F,null):(0,p.jsx)(T,null):null},B=()=>{const e=d();switch(k(e.tabId$)){case"endpoints":return(0,p.jsx)(E,null);case"apiKeys":return(0,p.jsx)(A,null);default:return null}},$=()=>{const e=f(),t=d(),n=k(t.tabId$),a=[];return e.endpoints&&a.push(["endpoints",r.i18n.translate("cloud.connectionDetails.tab.endpoints",{defaultMessage:"Endpoints"})]),e.apiKeys&&a.push(["apiKeys",r.i18n.translate("cloud.connectionDetails.tab.apiKeys",{defaultMessage:"API key"})]),0===a.length?null:(0,p.jsx)(h.EuiTabs,null,a.map((([e,a])=>(0,p.jsx)(h.EuiTab,{key:e,onClick:()=>t.setTab(e),isSelected:n===e,"data-test-subj":`connectionDetailsTabBtn-${e}`},a))))},R=()=>{var e;const t=f(),n=d(),a=(0,p.jsx)(h.EuiFlyoutHeader,{hasBorder:!0},(0,p.jsx)(h.EuiTitle,{size:"m","data-test-subj":"connectionDetailsModalTitle"},(0,p.jsx)("h2",null,r.i18n.translate("cloud.connectionDetails.flyout.title",{defaultMessage:"Connection details"}))),(0,p.jsx)(h.EuiSpacer,{size:"s"}),(0,p.jsx)(h.EuiText,{color:"subdued",size:"s"},(0,p.jsx)("p",null,r.i18n.translate("cloud.connectionDetails.flyout.subtitle",{defaultMessage:"Connect to the Elasticsearch API by using the following details."})," ",!(null===(e=t.links)||void 0===e||!e.learnMore)&&(0,p.jsx)(h.EuiLink,{external:!0,href:t.links.learnMore,target:"_blank",onClick:()=>n.emitTelemetryEvent(["learn_more_clicked"])},r.i18n.translate("cloud.connectionDetails.learnMoreButtonLabel",{defaultMessage:"Learn more"})))),(0,p.jsx)("div",{style:{marginBottom:"-25px"}},(0,p.jsx)($,null))),i=(0,p.jsx)(h.EuiFlyoutBody,{"data-test-subj":"connectionDetailsModalBody"},(0,p.jsx)(B,null));return(0,p.jsx)(s.Fragment,null,a,i)},U=e=>{const t=((t,n)=>{const[a,i]=s.useState(void 0);return s.useLayoutEffect((()=>{let t=!0;return(async e=>{var t,n,a,s,i,o,l,r,c;const{options:u,start:d}=e,{http:p,docLinks:g,analytics:y}=d.core,f=null===(t=d.plugins)||void 0===t||null===(n=t.share)||void 0===n||null===(a=n.url)||void 0===a?void 0:a.locators.get("MANAGEMENT_APP_LOCATOR"),h=await(null==f?void 0:f.getUrl({sectionId:"security",appId:"api_keys"})),m=await(null===(s=d.plugins)||void 0===s||null===(i=s.cloud)||void 0===i?void 0:i.fetchElasticsearchConfig());return{...u,navigateToUrl:d.core.application?t=>{var n,a,s;null===(n=e.onNavigation)||void 0===n||n.call(e),null===(a=d.core.application)||void 0===a||null===(s=a.navigateToUrl)||void 0===s||s.call(a,t)}:void 0,links:{learnMore:g.links.fleet.apiKeysLearnMore,...null==u?void 0:u.links},endpoints:{id:null===(o=d.plugins)||void 0===o||null===(l=o.cloud)||void 0===l?void 0:l.cloudId,url:null==m?void 0:m.elasticsearchUrl,cloudIdLearMoreLink:null==g||null===(r=g.links)||void 0===r||null===(c=r.cloud)||void 0===c?void 0:c.beatsAndLogstashConfiguration,...null==u?void 0:u.endpoints},apiKeys:{manageKeysLink:h,createKey:async({name:e})=>{if(!p)throw new Error("HTTP service is not available");const t={name:e,expiration:"90d",metadata:{},role_descriptors:{}},n=await p.post("/internal/security/api_key",{body:JSON.stringify(t)});return{apiKey:{id:n.id,name:n.name,key:n.api_key,encoded:n.encoded}}},hasPermission:async()=>!0,...null==u?void 0:u.apiKeys},onTelemetryEvent:e=>{if(y)switch(e[0]){case"learn_more_clicked":y.reportEvent("connection_details_learn_more_clicked",{});break;case"tab_switched":y.reportEvent("connection_details_tab_switched",{tab:e[1].tab});break;case"copy_endpoint_url_clicked":y.reportEvent("connection_details_copy_endpoint_url_clicked",{});break;case"show_cloud_id_toggled":y.reportEvent("connection_details_show_cloud_id_toggled",{});break;case"copy_cloud_id_clicked":y.reportEvent("connection_details_copy_cloud_id_clicked",{});break;case"new_api_key_created":y.reportEvent("connection_details_new_api_key_created",{});break;case"manage_api_keys_clicked":y.reportEvent("connection_details_manage_api_keys_clicked",{});break;case"key_encoding_changed":y.reportEvent("connection_details_key_encoding_changed",{format:e[1].format});break;case"copy_api_key_clicked":y.reportEvent("connection_details_copy_api_key_clicked",{format:e[1].format})}}}})(e).then((e=>{t&&i(e)})),()=>{t=!1}}),n),a})(0,[e.onNavigation,e.options,e.start]);return t?(0,p.jsx)(y,t,e.children):null},z="ConnectionDetailsGlobalDependencies",N=__kbnSharedDeps__.ReactDom;var O=n.n(N);const G=__kbnSharedDeps__.KbnReactKibanaContextRender,V=i().createContext(null),H=({children:e,...t})=>(0,p.jsx)(V.Provider,{value:t},e),q=({children:e,...t})=>{const{core:{notifications:n,...a},security:{userProfiles:s},toMountPoint:i}=t;return(0,p.jsx)(H,{userProfileApiClient:s,notifySuccess:({title:e,text:t},s)=>{const o={};null!=s&&s.durationMs&&(o.toastLifeTimeMs=s.durationMs),n.toasts.addSuccess({title:e,text:t?i(t,a):void 0},o)}},e)},W=(e,t)=>n=>(O().render((0,p.jsx)(G.KibanaRenderContextProvider,t,e),n),()=>O().unmountComponentAtNode(n));s.Component;var J={name:"1vpb80k",styles:"inline-size:420px"};function Y({title:e,values:t,onChange:n,selectedValue:a,ariaLabel:s}){return(0,p.jsx)(i().Fragment,null,(0,p.jsx)(h.EuiKeyPadMenu,{"aria-label":s,"data-test-subj":"appearanceColorMode",checkable:{legend:(0,p.jsx)("span",null,e)},css:J},t.map((({id:e,label:t,icon:s})=>(0,p.jsx)(h.EuiKeyPadMenuItem,{name:e,key:e,label:t,checkable:"single",isSelected:a===e,onChange:()=>{n(e)},"data-test-subj":`colorModeKeyPadItem${e}`},(0,p.jsx)(h.EuiIcon,{type:s,size:"l"}))))))}const Q=__kbnSharedDeps__.Lodash,X={notificationSuccess:{title:r.i18n.translate("userProfileComponents.updateUserProfile.notification.submitSuccessTitle",{defaultMessage:"Profile updated"}),pageReloadText:r.i18n.translate("userProfileComponents.updateUserProfile.notification.requiresPageReloadDescription",{defaultMessage:"One or more settings require you to reload the page to take effect."})}},Z=({uiSettingsClient:e,defaultColorMode:t})=>{const n=e.isOverridden("theme:darkMode"),{userProfileData:a,isLoading:o,update:l,userProfileLoaded:c}=(({notificationSuccess:e={},pageReloadChecker:t}={})=>{const{userProfileApiClient:n,notifySuccess:a}=function(){const e=(0,s.useContext)(V);if(!e)throw new Error("UserProfilesContext is missing. Ensure your component or React root is wrapped with <UserProfilesProvider /> or <UserProfilesKibanaProvider />.");return e}(),{userProfile$:o,enabled$:l,userProfileLoaded$:c}=n,{enabled:u=!0,title:d=X.notificationSuccess.title,pageReloadText:g=X.notificationSuccess.pageReloadText}=e,[y,f]=(0,s.useState)(!1),k=(0,m.A)(o),x=(0,m.A)(l),b=(0,m.A)(c,!1),v=(0,s.useRef)(),_=(0,s.useRef)(!1),j=(0,s.useCallback)((({isRefreshRequired:e=!1}={})=>{e?a({title:d,text:(0,p.jsx)(i().Fragment,null,(0,p.jsx)("p",null,g),(0,p.jsx)(h.EuiFlexGroup,{justifyContent:"flexEnd",gutterSize:"s"},(0,p.jsx)(h.EuiFlexItem,{grow:!1},(0,p.jsx)(h.EuiButton,{size:"s",onClick:()=>window.location.reload(),"data-test-subj":"windowReloadButton"},r.i18n.translate("userProfileComponents.updateUserProfile.notification.requiresPageReloadButtonLabel",{defaultMessage:"Reload page"})))))},{durationMs:3e5}):a({title:d})}),[d,a,g]),M=(0,s.useCallback)((e=>{if(_.current&&f(!1),u){const n=null==t?void 0:t(v.current,e);j({isRefreshRequired:n})}}),[u,j,t]),E=(0,s.useCallback)((e=>(v.current=(0,Q.merge)({},k),f(!0),n.partialUpdate(e).then((()=>(M(e),e))))),[n,M,k]);return(0,s.useEffect)((()=>(_.current=!0,()=>{_.current=!1})),[]),{update:E,showSuccessNotification:j,userProfileData:k,isLoading:y,userProfileEnabled:x,userProfileLoaded:b}})({notificationSuccess:{title:r.i18n.translate("xpack.cloudLinks.userMenuLinks.appearance.successNotificationTitle",{defaultMessage:"Appearance settings updated"}),pageReloadText:r.i18n.translate("xpack.cloudLinks.userMenuLinks.appearance.successNotificationText",{defaultMessage:"Reload the page to see the changes"})},pageReloadChecker:(e,t)=>{var n,a;return(null==e||null===(n=e.userSettings)||void 0===n?void 0:n.darkMode)!==(null===(a=t.userSettings)||void 0===a?void 0:a.darkMode)}}),{userSettings:{darkMode:u=t}={}}=null!=a?a:{userSettings:{}},[d,g]=(0,s.useState)(u),[y,f]=(0,s.useState)(u),k=(0,s.useCallback)((({colorMode:e},t)=>{if(!o&&(e&&g(e),t))return l({userSettings:{darkMode:e}})}),[o,l]);return(0,s.useEffect)((()=>{g(u)}),[u]),(0,s.useEffect)((()=>{if(c){var e;const t=null==a||null===(e=a.userSettings)||void 0===e?void 0:e.darkMode;t&&f(t)}}),[a,c]),{isVisible:!n&&Boolean(a),setColorMode:g,colorMode:d,onChange:k,isLoading:o,initialColorModeValue:y}},ee=[{id:"system",label:r.i18n.translate("xpack.cloudLinks.userMenuLinks.appearanceModalSystemLabel",{defaultMessage:"System"}),icon:"desktop"},{id:"light",label:r.i18n.translate("xpack.cloudLinks.userMenuLinks.appearanceModalLightLabel",{defaultMessage:"Light"}),icon:"sun"},{id:"dark",label:r.i18n.translate("xpack.cloudLinks.userMenuLinks.appearanceModalDarkLabel",{defaultMessage:"Dark"}),icon:"moon"},{id:"space_default",label:r.i18n.translate("xpack.cloudLinks.userMenuLinks.appearanceModalSpaceDefaultLabel",{defaultMessage:"Space default"}),icon:"spaces",betaBadgeLabel:r.i18n.translate("xpack.cloudLinks.userMenuLinks.appearanceModalBetaBadgeLabel",{defaultMessage:"Deprecated"}),betaBadgeTooltipContent:r.i18n.translate("xpack.cloudLinks.userMenuLinks.appearanceModalBetaBadgeTooltip",{defaultMessage:"Space default settings will be deprecated in 10.0."}),betaBadgeIconType:"warning"}],te=({closeModal:e,uiSettingsClient:t,isServerless:n})=>{const a=(0,h.useGeneratedHtmlId)(),{onChange:s,colorMode:o,isLoading:l,initialColorModeValue:c}=Z({uiSettingsClient:t,defaultColorMode:n?"system":"space_default"});return(0,p.jsx)(h.EuiModal,{"aria-labelledby":a,onClose:e,style:n?void 0:{width:580}},(0,p.jsx)(h.EuiModalHeader,null,(0,p.jsx)(h.EuiModalHeaderTitle,{size:"m",id:a},r.i18n.translate("xpack.cloudLinks.userMenuLinks.appearanceModalTitle",{defaultMessage:"Appearance"}))),(0,p.jsx)(h.EuiModalBody,null,(0,p.jsx)(Y,{title:r.i18n.translate("xpack.cloudLinks.userMenuLinks.appearanceModalColorModeTitle",{defaultMessage:"Color mode"}),values:n?ee.filter((({id:e})=>"space_default"!==e)):ee,selectedValue:o,onChange:e=>{s({colorMode:e},!1)},ariaLabel:r.i18n.translate("xpack.cloudLinks.userMenuLinks.appearanceModalColorModeAriaLabel",{defaultMessage:"Appearance color mode"})}),"space_default"===o&&(0,p.jsx)(i().Fragment,null,(0,p.jsx)(h.EuiSpacer,null),(0,p.jsx)(h.EuiCallOut,{title:r.i18n.translate("xpack.cloudLinks.userMenuLinks.appearanceModalDeprecatedSpaceDefaultTitle",{defaultMessage:"Space default settings will be removed in a future version"}),color:"warning",iconType:"warning"},(0,p.jsx)("p",null,r.i18n.translate("xpack.cloudLinks.userMenuLinks.appearanceModalDeprecatedSpaceDefaultDescr",{defaultMessage:"All users with the Space default color mode enabled will be automatically transitioned to the System color mode."}))),(0,p.jsx)(h.EuiSpacer,null))),(0,p.jsx)(h.EuiModalFooter,null,(0,p.jsx)(h.EuiButtonEmpty,{"data-test-subj":"appearanceModalDiscardButton",onClick:e},r.i18n.translate("xpack.cloudLinks.userMenuLinks.appearanceModalDiscardBtnLabel",{defaultMessage:"Discard"})),(0,p.jsx)(h.EuiButton,{"data-test-subj":"appearanceModalSaveButton",onClick:async()=>{o!==c&&await s({colorMode:o},!0),e()},fill:!0,isLoading:l},r.i18n.translate("xpack.cloudLinks.userMenuLinks.appearanceModalSaveBtnLabel",{defaultMessage:"Save changes"}))))},ne=({security:e,core:t,closePopover:n,isServerless:a})=>(0,p.jsx)(q,{core:t,security:e,toMountPoint:W},(0,p.jsx)(ae,{core:t,security:e,closePopover:n,isServerless:a}));function ae({security:e,core:t,closePopover:n,isServerless:a}){const{isVisible:i}=Z({uiSettingsClient:t.uiSettings,defaultColorMode:"space_default"}),o=(0,s.useRef)(null),l=()=>{var e;null===(e=o.current)||void 0===e||e.close(),o.current=null};return i?(0,p.jsx)(h.EuiContextMenuItem,{icon:"brush",size:"s",onClick:()=>{o.current=t.overlays.openModal(W((0,p.jsx)(q,{core:t,security:e,toMountPoint:W},(0,p.jsx)(te,{closeModal:l,uiSettingsClient:t.uiSettings,isServerless:a})),t),{"data-test-subj":"appearanceModal",maxWidth:600}),n()},"data-test-subj":"appearanceSelector"},r.i18n.translate("xpack.cloudLinks.userMenuLinks.appearanceLinkText",{defaultMessage:"Appearance"})):null}function se({core:e,security:t,cloud:a,isServerless:s}){const i=(0,l.defer)((()=>t.authc.getCurrentUser())).pipe((0,l.map)((e=>e.elastic_cloud_user)),(0,l.catchError)((()=>(0,l.of)(!0))),(0,l.filter)((e=>!0===e)),(0,l.map)((()=>{a.deploymentUrl&&e.chrome.setCustomNavLink({title:r.i18n.translate("xpack.cloudLinks.deploymentLinkLabel",{defaultMessage:"Manage this deployment"}),euiIconType:"logoCloud",href:a.deploymentUrl});const n=(({core:e,cloud:t,security:n,isServerless:a})=>{const{profileUrl:s,billingUrl:i,organizationUrl:o}=t,l=[];return s&&l.push({label:r.i18n.translate("xpack.cloudLinks.userMenuLinks.profileLinkText",{defaultMessage:"Profile"}),iconType:"user",href:s,order:100,setAsProfile:!0}),i&&l.push({label:r.i18n.translate("xpack.cloudLinks.userMenuLinks.billingLinkText",{defaultMessage:"Billing"}),iconType:"visGauge",href:i,order:200}),o&&l.push({label:r.i18n.translate("xpack.cloudLinks.userMenuLinks.organizationLinkText",{defaultMessage:"Organization"}),iconType:"gear",href:o,order:300}),l.push({content:({closePopover:t})=>(0,p.jsx)(ne,{core:e,security:n,closePopover:t,isServerless:a}),order:400,label:"",iconType:"",href:""}),l})({core:e,cloud:a,security:t,isServerless:s});t.navControlService.addUserMenuLinks(n)}))),o=e.chrome.getHelpSupportUrl$();a.isCloudEnabled&&(0,l.combineLatest)({user:i,helpSupportUrl:o}).subscribe((({helpSupportUrl:t})=>{const a=(({docLinks:e,helpSupportUrl:t})=>[{title:r.i18n.translate("xpack.cloudLinks.helpMenuLinks.documentation",{defaultMessage:"Documentation"}),href:e.links.elasticStackGetStarted},{title:r.i18n.translate("xpack.cloudLinks.helpMenuLinks.support",{defaultMessage:"Support"}),href:t},{title:r.i18n.translate("xpack.cloudLinks.helpMenuLinks.giveFeedback",{defaultMessage:"Give feedback"}),href:e.links.kibana.feedback},{title:r.i18n.translate("xpack.cloudLinks.helpMenuLinks.connectionDetails",{defaultMessage:"Connection details"}),dataTestSubj:"connectionDetailsHelpLink",onClick:()=>{(async(e={})=>{const t=(()=>{const e=n.g[z];if(void 0===e)throw new Error("ConnectionDetailsGlobalDependencies not set");return e})().start;(async({props:e,start:t})=>{const n=t.core.overlays.openFlyout((a=>{const s=(0,p.jsx)(G.KibanaRenderContextProvider,t.core,(0,p.jsx)(U,(0,C.default)({},e,{onNavigation:()=>{null==n||n.close()}}),(0,p.jsx)(R,null)));return O().render(s,a),()=>O().unmountComponentAtNode(a)}),{size:"s"})})({...e,props:{...e.props,start:t},start:t})})()}}])({docLinks:e.docLinks,helpSupportUrl:t});e.chrome.setHelpMenuLinks(a)}))}class CloudLinksPlugin{constructor(e){(0,a.default)(this,"offering",void 0),this.offering=e.env.packageInfo.buildFlavor}setup({analytics:e}){e.registerEventType({eventType:"connection_details_learn_more_clicked",schema:{}}),e.registerEventType({eventType:"connection_details_tab_switched",schema:{tab:{type:"keyword",_meta:{description:"Connection details tab that was switched to.",optional:!1}}}}),e.registerEventType({eventType:"connection_details_copy_endpoint_url_clicked",schema:{}}),e.registerEventType({eventType:"connection_details_show_cloud_id_toggled",schema:{}}),e.registerEventType({eventType:"connection_details_copy_cloud_id_clicked",schema:{}}),e.registerEventType({eventType:"connection_details_new_api_key_created",schema:{}}),e.registerEventType({eventType:"connection_details_manage_api_keys_clicked",schema:{}}),e.registerEventType({eventType:"connection_details_key_encoding_changed",schema:{format:{type:"keyword",_meta:{description:"The format of the API key that was changed to.",optional:!1}}}}),e.registerEventType({eventType:"connection_details_copy_api_key_clicked",schema:{format:{type:"keyword",_meta:{description:"The format of the API key that was copied.",optional:!1}}}})}start(e,t){const{cloud:a,security:s,guidedOnboarding:i,share:l}=t;var r,c;null!=a&&a.isCloudEnabled&&!e.http.anonymousPaths.isAnonymous(window.location.pathname)&&(null!=i&&null!==(r=i.guidedOnboardingApi)&&void 0!==r&&r.isEnabled&&e.chrome.registerGlobalHelpExtensionMenuLink({linkType:"custom",href:e.http.basePath.prepend("/app/home#/getting_started"),content:(0,p.jsx)(o.FormattedMessage,{id:"xpack.cloudLinks.setupGuide",defaultMessage:"Setup guides"}),"data-test-subj":"cloudOnboardingSetupGuideLink",priority:1e3}),s&&se({core:e,security:s,cloud:a,share:l,isServerless:"serverless"===this.offering})),c={start:{core:e,plugins:t}},n.g[z]=c}stop(){}}function ie(e){return new CloudLinksPlugin(e)}},978:(e,t,n)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0});var a=n(286),s="undefined"!=typeof window?a.useLayoutEffect:a.useEffect;t.default=s},757:(e,t,n)=>{"use strict";var a=n(941),s=n(286),i=a.__importDefault(n(978));t.A=function(e,t){var n=s.useState(t),a=n[0],o=n[1];return i.default((function(){var t=e.subscribe(o);return function(){return t.unsubscribe()}}),[e]),a}},962:(e,t,n)=>{n.p=window.__kbnPublicPath__.cloudLinks},721:(e,t,n)=>{e.exports=n(497)(4971)},185:(e,t,n)=>{e.exports=n(497)(51858)},915:(e,t,n)=>{e.exports=n(497)(67493)},286:e=>{"use strict";e.exports=__kbnSharedDeps__.React},941:e=>{"use strict";e.exports=__kbnSharedDeps__.TsLib},497:e=>{"use strict";e.exports=__kbnSharedDeps_npm__}},t={};function n(a){var s=t[a];if(void 0!==s)return s.exports;var i=t[a]={exports:{}};return e[a](i,i.exports,n),i.exports}n.n=e=>{var t=e&&e.__esModule?()=>e.default:()=>e;return n.d(t,{a:t}),t},n.d=(e,t)=>{for(var a in t)n.o(t,a)&&!n.o(e,a)&&Object.defineProperty(e,a,{enumerable:!0,get:t[a]})},n.g=function(){if("object"==typeof globalThis)return globalThis;try{return this||new Function("return this")()}catch(e){if("object"==typeof window)return window}}(),n.o=(e,t)=>Object.prototype.hasOwnProperty.call(e,t),n.r=e=>{"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(e,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(e,"__esModule",{value:!0})},(()=>{var e;n.g.importScripts&&(e=n.g.location+"");var t=n.g.document;if(!e&&t&&(t.currentScript&&"SCRIPT"===t.currentScript.tagName.toUpperCase()&&(e=t.currentScript.src),!e)){var a=t.getElementsByTagName("script");if(a.length)for(var s=a.length-1;s>-1&&(!e||!/^http(s?):/.test(e));)e=a[s--].src}if(!e)throw new Error("Automatic publicPath is not supported in this browser");e=e.replace(/#.*$/,"").replace(/\?.*$/,"").replace(/\/[^\/]+$/,"/"),n.p=e})(),n(962),__kbnBundles__.define("plugin/cloudLinks/public",n,863)})();