/*! Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one or more contributor license agreements.
 * Licensed under the Elastic License 2.0; you may not use this file except in compliance with the Elastic License 2.0. */
"use strict";(self.dataVisualizer_bundle_jsonpfunction=self.dataVisualizer_bundle_jsonpfunction||[]).push([[572],{4027:(e,t,i)=>{i.d(t,{W:()=>r,w:()=>s});var a=i(5008);function s(e){return r(e).isTikaType}const r=e=>{switch(e){case"application/doc":case"application/ms-doc":case"application/msword":case"application/vnd.openxmlformats-officedocument.wordprocessingml.document":return{isTikaType:!0,label:a.i18n.translate("xpack.dataVisualizer.file.tikaTypes.word",{defaultMessage:"Microsoft Office Word document"})};case"application/excel":case"application/vnd.ms-excel":case"application/x-excel":case"application/x-msexcel":case"application/vnd.openxmlformats-officedocument.spreadsheetml.sheet":return{isTikaType:!0,label:a.i18n.translate("xpack.dataVisualizer.file.tikaTypes.excel",{defaultMessage:"Microsoft Office Excel document"})};case"application/mspowerpoint":case"application/powerpoint":case"application/vnd.ms-powerpoint":case"application/x-mspowerpoint":case"application/vnd.openxmlformats-officedocument.presentationml.presentation":return{isTikaType:!0,label:a.i18n.translate("xpack.dataVisualizer.file.tikaTypes.powerPoint",{defaultMessage:"Microsoft Office Power Point document"})};case"application/vnd.oasis.opendocument.presentation":case"application/vnd.oasis.opendocument.spreadsheet":case"application/vnd.oasis.opendocument.text":return{isTikaType:!0,label:a.i18n.translate("xpack.dataVisualizer.file.tikaTypes.openDoc",{defaultMessage:"Open Document Format"})};case"text/rtf":case"application/rtf":return{isTikaType:!0,label:a.i18n.translate("xpack.dataVisualizer.file.tikaTypes.richText",{defaultMessage:"Rich Text Format"})};case"application/pdf":return{isTikaType:!0,label:a.i18n.translate("xpack.dataVisualizer.file.tikaTypes.pdf",{defaultMessage:"PDF"})};case"text/plain":case"text/plain; charset=UTF-8":return{isTikaType:!0,label:a.i18n.translate("xpack.dataVisualizer.file.tikaTypes.plainText",{defaultMessage:"Plain text"})};default:return{isTikaType:!1,label:e}}}},943:(e,t,i)=>{i.d(t,{H:()=>FileSizeChecker});var a=i(8915),s=i(6752),r=i.n(s),n=i(2787),l=i(4027);class FileSizeChecker{constructor(e,t){(0,a.default)(this,"_maxBytes",void 0),(0,a.default)(this,"_fileSize",void 0),this._fileSize=t.size,this._maxBytes=(0,l.w)(t.type)?e.getMaxTikaBytes():e.getMaxBytes()}check(){return this._fileSize<=this._maxBytes}maxBytes(){return this._maxBytes}fileSizeFormatted(){return r()(this._fileSize).format(n.UQ)}maxFileSizeFormatted(){return r()(this._maxBytes).format(n.UQ)}fileSizeDiffFormatted(){return r()(this._fileSize-this._maxBytes).format(n.UQ)}}},7544:(e,t,i)=>{i.d(t,{m:()=>s});var a=i(2787);async function s(e,t){const i=await t.previewTikaFile(e),s=(i.content.match(/\n/g)||"").length+1;return{tikaResults:i,standardResults:{results:{format:a.GM.TIKA,document_type:i.content_type,charset:"utf-8",has_header_row:!1,has_byte_order_marker:!1,sample_start:"",quote:"",delimiter:"",need_client_timezone:!1,num_lines_analyzed:s,num_messages_analyzed:0,explanation:[],field_stats:{"attachment.content":{},"attachment.content_length":{},"attachment.content_type":{},"attachment.format":{},"attachment.language":{}},mappings:{properties:{attachment:{properties:{content:{type:"text",fields:{keyword:{type:"keyword",ignore_above:256}}},content_length:{type:"long"},content_type:{type:"text",fields:{keyword:{type:"keyword",ignore_above:256}}},format:{type:"text",fields:{keyword:{type:"keyword",ignore_above:256}}},language:{type:"text",fields:{keyword:{type:"keyword",ignore_above:256}}}}}}},ingest_pipeline:{description:"Ingest pipeline created by file data visualizer",processors:[{attachment:{field:"data",remove_binary:!0,indexed_chars:-1}}]}}}}}},134:(e,t,i)=>{i.d(t,{b:()=>p,v:()=>c});var a=i(5008),s=i(5879),r=i(4286),n=i.n(r),l=i(1319),o=i(6791);let p=function(e){return e.INCOMPLETE="incomplete",e.COMPLETE="complete",e.FAILED="danger",e}({});const c=({statuses:e})=>{const{reading:t,readStatus:i,parseJSONStatus:r,indexCreatedStatus:c,ingestPipelineCreatedStatus:u,dataViewCreatedStatus:f,uploadProgress:m,uploadStatus:g,createDataView:x,createPipeline:h,initializeDeployment:y,initializeDeploymentStatus:T}=e;let E=null,k=0;!0===t&&i===p.INCOMPLETE&&r===p.INCOMPLETE&&(k=0),i===p.COMPLETE&&!0===y&&T===p.INCOMPLETE&&(k=1),i!==p.COMPLETE||!1!==y&&T!==p.COMPLETE||c!==p.INCOMPLETE||u!==p.INCOMPLETE||(k=2),c===p.COMPLETE&&(k=3),(u===p.COMPLETE||!1===h&&c===p.COMPLETE)&&(k=4),g===p.COMPLETE&&(k=5),f===p.COMPLETE&&(k=6);let P=a.i18n.translate("xpack.dataVisualizer.file.importProgress.processFileTitle",{defaultMessage:"Process file"}),M=a.i18n.translate("xpack.dataVisualizer.file.importProgress.initializeDeploymentTitle",{defaultMessage:"Initialize model deployment"}),z=a.i18n.translate("xpack.dataVisualizer.file.importProgress.createIndexTitle",{defaultMessage:"Create index"}),C=a.i18n.translate("xpack.dataVisualizer.file.importProgress.createIngestPipelineTitle",{defaultMessage:"Create ingest pipeline"}),w=a.i18n.translate("xpack.dataVisualizer.file.importProgress.uploadDataTitle",{defaultMessage:"Upload data"}),_=a.i18n.translate("xpack.dataVisualizer.file.importProgress.createDataViewTitle",{defaultMessage:"Create data view"});const v=(0,o.jsx)("p",null,(0,o.jsx)(s.FormattedMessage,{id:"xpack.dataVisualizer.file.importProgress.stepTwoCreatingIndexDescription",defaultMessage:"Creating index"})),V=(0,o.jsx)("p",null,(0,o.jsx)(s.FormattedMessage,{id:"xpack.dataVisualizer.file.importProgress.stepTwoCreatingIndexIngestPipelineDescription",defaultMessage:"Creating index and ingest pipeline"}));k>=0&&(P=a.i18n.translate("xpack.dataVisualizer.file.importProgress.processingFileTitle",{defaultMessage:"Processing file"}),E=(0,o.jsx)("p",null,(0,o.jsx)(s.FormattedMessage,{id:"xpack.dataVisualizer.file.importProgress.processingImportedFileDescription",defaultMessage:"Processing file for import"}))),y&&k>=1&&(P=a.i18n.translate("xpack.dataVisualizer.file.importProgress.fileProcessedTitle",{defaultMessage:"File processed"}),M=a.i18n.translate("xpack.dataVisualizer.file.importProgress.initializingDeploymentTitle",{defaultMessage:"Initializing model deployment"}),E=(0,o.jsx)("p",null,(0,o.jsx)(s.FormattedMessage,{id:"xpack.dataVisualizer.file.importProgress.processingImportedFileDescription",defaultMessage:"Initializing model deployment"}))),k>=2&&(P=a.i18n.translate("xpack.dataVisualizer.file.importProgress.fileProcessedTitle",{defaultMessage:"File processed"}),M=a.i18n.translate("xpack.dataVisualizer.file.importProgress.deploymentInitializedTitle",{defaultMessage:"Model deployed"}),z=a.i18n.translate("xpack.dataVisualizer.file.importProgress.creatingIndexTitle",{defaultMessage:"Creating index"}),E=!0===h?V:v),k>=3&&(z=a.i18n.translate("xpack.dataVisualizer.file.importProgress.indexCreatedTitle",{defaultMessage:"Index created"}),C=a.i18n.translate("xpack.dataVisualizer.file.importProgress.creatingIngestPipelineTitle",{defaultMessage:"Creating ingest pipeline"}),E=!0===h?V:v),k>=4&&(C=a.i18n.translate("xpack.dataVisualizer.file.importProgress.ingestPipelineCreatedTitle",{defaultMessage:"Ingest pipeline created"}),w=a.i18n.translate("xpack.dataVisualizer.file.importProgress.uploadingDataTitle",{defaultMessage:"Uploading data"}),E=(0,o.jsx)(d,{progress:m})),k>=5&&(w=a.i18n.translate("xpack.dataVisualizer.file.importProgress.dataUploadedTitle",{defaultMessage:"Data uploaded"}),!0===x?(_=a.i18n.translate("xpack.dataVisualizer.file.importProgress.creatingDataViewTitle",{defaultMessage:"Creating data view"}),E=(0,o.jsx)("p",null,(0,o.jsx)(s.FormattedMessage,{id:"xpack.dataVisualizer.file.importProgress.creatingDataViewDescription",defaultMessage:"Creating data view"}))):E=null),k>=6&&(_=a.i18n.translate("xpack.dataVisualizer.file.importProgress.dataViewCreatedTitle",{defaultMessage:"Data view created"}),E=null);const I=[{title:P,status:r===p.FAILED?r:i===p.COMPLETE&&r===p.COMPLETE?"complete":"selected",onClick:()=>{}}];return!0===y&&I.push({title:M,status:T!==p.INCOMPLETE?T:1===k?"selected":"incomplete",onClick:()=>{}}),I.push({title:z,status:c!==p.INCOMPLETE?c:2===k?"selected":"incomplete",onClick:()=>{}}),!0===h&&I.push({title:C,status:u!==p.INCOMPLETE?u:3===k?"selected":"incomplete",onClick:()=>{}}),I.push({title:w,status:g!==p.INCOMPLETE?g:4===k?"selected":"incomplete",onClick:()=>{}}),!0===x&&I.push({title:_,status:f!==p.INCOMPLETE?f:5===k?"selected":"incomplete",onClick:()=>{}}),(0,o.jsx)(n().Fragment,null,(0,o.jsx)(l.EuiStepsHorizontal,{steps:I,style:{backgroundColor:"transparent"}}),E&&(0,o.jsx)(n().Fragment,null,(0,o.jsx)(l.EuiSpacer,{size:"m"}),E))},d=({progress:e})=>(0,o.jsx)(n().Fragment,null,(0,o.jsx)("p",null,(0,o.jsx)(s.FormattedMessage,{id:"xpack.dataVisualizer.file.importProgress.uploadingDataDescription",defaultMessage:"Uploading data"})),e<100&&(0,o.jsx)(n().Fragment,null,(0,o.jsx)(l.EuiSpacer,{size:"s"}),(0,o.jsx)(l.EuiProgress,{value:e,max:100,color:"primary",size:"s"})))},5098:(e,t,i)=>{i.d(t,{r:()=>AutoDeploy});var a=i(8915);class AutoDeploy{constructor(e,t){(0,a.default)(this,"inferError",null),(0,a.default)(this,"inferFinished",!1),this.http=e,this.inferenceId=t}async deploy(){this.inferError=null,await this.isDeployed()||(this.infer().then((()=>{this.inferFinished=!0})).catch((e=>{var t;const i=null===(t=e.response)||void 0===t?void 0:t.status;408!==i&&504!==i&&502!==i&&500!==i&&(this.inferError=e)})),await this.pollIsDeployed())}async infer(){return this.http.fetch(`/internal/data_visualizer/inference/${this.inferenceId}`,{method:"POST",version:"1",body:JSON.stringify({input:""})})}async isDeployed(){const e=await this.http.fetch("/internal/data_visualizer/inference_endpoints",{method:"GET",version:"1"});return!!this.inferFinished||e.some((e=>e.inference_id===this.inferenceId&&e.service_settings.num_allocations>0))}async pollIsDeployed(){for(;;){if(null!==this.inferError)throw this.inferError;if(await this.isDeployed())return;await new Promise((e=>setTimeout(e,5e3)))}}}},9420:(e,t,i)=>{i.d(t,{$I:()=>p,Qx:()=>n,iw:()=>l});var a=i(5008),s=i(134),r=i(5098);async function n(e,t,i){const{data:n,results:c,dataViewsContract:d,fileUpload:u,http:f}=e,{index:m,dataView:g,createDataView:x,indexSettingsString:h,mappingsString:y,pipelineString:T,pipelineId:E,createPipeline:k}=t,{format:P}=c,M=[];if(""===m)return;if(!1===await u.hasImportPermission({checkCreateDataView:x,checkHasManagePipeline:!0,indexName:m}))return M.push(a.i18n.translate("xpack.dataVisualizer.file.importView.importPermissionError",{defaultMessage:"You do not have permission to create or import data into index {index}.",values:{index:m}})),void i({permissionCheckStatus:s.b.FAILED,importing:!1,imported:!1,errors:M});let z,C=!0,w={},_={};try{w=JSON.parse(h)}catch(e){C=!1;const t=a.i18n.translate("xpack.dataVisualizer.file.importView.parseSettingsError",{defaultMessage:"Error parsing settings:"});M.push(`${t} ${e.message}`)}try{_=JSON.parse(y)}catch(e){C=!1;const t=a.i18n.translate("xpack.dataVisualizer.file.importView.parseMappingsError",{defaultMessage:"Error parsing mappings:"});M.push(`${t} ${e.message}`)}try{k&&(z=JSON.parse(T))}catch(e){C=!1;const t=a.i18n.translate("xpack.dataVisualizer.file.importView.parsePipelineError",{defaultMessage:"Error parsing ingest pipeline:"});M.push(`${t} ${e.message}`)}const v=p(_);if(i({importing:!0,imported:!1,reading:!0,initialized:!0,permissionCheckStatus:s.b.COMPLETE,initializeDeployment:null!==v,parseJSONStatus:o(C)}),!1===C)return;const V=await u.importerFactory(P,{excludeLinesPattern:c.exclude_lines_pattern,multilineStartPattern:c.multiline_start_pattern});if(C=V.read(n).success,i({readStatus:o(C),reading:!1,importer:V}),!1===C)return;if(v){const e=new r.r(f,v);try{await e.deploy(),i({initializeDeploymentStatus:s.b.COMPLETE,inferenceId:v})}catch(e){C=!1;const t=a.i18n.translate("xpack.dataVisualizer.file.importView.deployModelError",{defaultMessage:"Error deploying trained model:"});M.push(`${t} ${e.message}`),i({initializeDeploymentStatus:s.b.FAILED,errors:M})}}if(!1===C)return;const I=await V.initializeImport(m,w,_,z);if(!1===I.success)return M.push(I.error),void i({initializeImportStatus:s.b.FAILED,errors:M});const S=V.getTimeField();i({timeFieldName:S});const D=void 0!==I.index;if(i({indexCreatedStatus:o(D)}),k){const e=void 0!==I.pipelineId;D&&i({ingestPipelineCreatedStatus:e?s.b.COMPLETE:s.b.FAILED,pipelineId:e?I.pipelineId:""}),C=D&&e}else C=D;if(!1===C)return void M.push(I.error);const F=await V.import(I.id,m,null!=E?E:I.pipelineId,(e=>{i({uploadProgress:e})}));if(C=F.success,i({uploadStatus:o(F.success),importFailures:F.failures,docCount:F.docCount}),!1!==C){if(x){const e=""===g?m:g,t=await l(e,d,S);C=t.success,i({dataViewCreatedStatus:t.success?s.b.COMPLETE:s.b.FAILED,dataViewId:t.id}),!1===C&&M.push(t.error)}i({importing:!1,imported:C,errors:M})}else M.push(F.error)}async function l(e,t,i){try{return{success:!0,id:(await t.createAndSave({title:e,timeFieldName:i})).id}}catch(e){return{success:!1,error:e}}}function o(e){return e?s.b.COMPLETE:s.b.FAILED}function p(e){for(const i of Object.values(null!==(t=e.properties)&&void 0!==t?t:{})){var t;if("semantic_text"===i.type)return i.inference_id}return null}},990:(e,t,i)=>{var a=i(1941),s=i(4286),r=a.__importDefault(i(1854));t.A=function(e,t,i){void 0===t&&(t=0),void 0===i&&(i=[]);var a=r.default(e,t),n=a[0],l=a[1],o=a[2];return s.useEffect(o,i),[n,l]}},1854:(e,t,i)=>{Object.defineProperty(t,"__esModule",{value:!0});var a=i(4286);t.default=function(e,t){void 0===t&&(t=0);var i=a.useRef(!1),s=a.useRef(),r=a.useRef(e),n=a.useCallback((function(){return i.current}),[]),l=a.useCallback((function(){i.current=!1,s.current&&clearTimeout(s.current),s.current=setTimeout((function(){i.current=!0,r.current()}),t)}),[t]),o=a.useCallback((function(){i.current=null,s.current&&clearTimeout(s.current)}),[]);return a.useEffect((function(){r.current=e}),[e]),a.useEffect((function(){return l(),o}),[t]),[n,o,l]}}}]);